## silo-llnl 4.10.2

=== SiloWindows/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# SiloWindows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 1994 - 2010, Lawrence Livermore National Security, LLC.
# LLNL-CODE-425250.
# All rights reserved.
# 
# This file is part of Silo. For details, see silo.llnl.gov.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the disclaimer below.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the disclaimer (as noted
#      below) in the documentation and/or other materials provided with
#      the distribution.
#    * Neither the name of the LLNS/LLNL nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
# 
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A  PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN  NO  EVENT SHALL  LAWRENCE
# LIVERMORE  NATIONAL SECURITY, LLC,  THE U.S.  DEPARTMENT OF  ENERGY OR
# CONTRIBUTORS BE LIABLE FOR  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR  CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT  LIMITED TO,
# PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS  OF USE,  DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER  IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING
# NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT  OF THE USE  OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This work was produced at Lawrence Livermore National Laboratory under
# Contract No.  DE-AC52-07NA27344 with the DOE.
# 
# Neither the  United States Government nor  Lawrence Livermore National
# Security, LLC nor any of  their employees, makes any warranty, express
# or  implied,  or  assumes  any  liability or  responsibility  for  the
# accuracy, completeness,  or usefulness of  any information, apparatus,
# product, or  process disclosed, or  represents that its use  would not
# infringe privately-owned rights.
# 
# Any reference herein to  any specific commercial products, process, or
# services by trade name,  trademark, manufacturer or otherwise does not
# necessarily  constitute or imply  its endorsement,  recommendation, or
# favoring  by  the  United  States  Government  or  Lawrence  Livermore
# National Security,  LLC. The views  and opinions of  authors expressed
# herein do not necessarily state  or reflect those of the United States
# Government or Lawrence Livermore National Security, LLC, and shall not
#
# Makefile.am --- automake input file for SiloWindows directory
#
#
# Modifications:
#   Mark C. Miller, Tue Aug  3 17:24:43 PDT 2010
#   Ensure a number of silo project files were included.
#
#   Kathleen Bonnell, Fri Dec 10 10:02:09 PST 2010
#   Add silodiff.bat, browser.vcproj
#
#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
#   Add MSVC9 project files.

pkgdatadir = $(datadir)/silo
pkgincludedir = $(includedir)/silo
pkglibdir = $(libdir)/silo
pkglibexecdir = $(libexecdir)/silo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = SiloWindows
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compiler_flags.m4 \
	$(top_srcdir)/config/ax_have_qt.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/vl_lib_readline.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run autoconf
AUTOHEADER = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run autoheader
AUTOMAKE = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run automake-1.11
AWK = gawk
BROWSER = browser
BUNDLE_TARGET = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FULLPATH = /usr/local/bin/gcc
CFLAGS = -g -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
CONFIG_CMD = ./configure '--enable-fortran' 'FC=gfortran' 'F77=gfortran' 'FCFLAGS=-g' 'CFLAGS=-g' 'CXXFLAGS=-g' '--enable-pythonmodule' '--with-hdf5=/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/include,/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/lib' '--with-szlib=/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4' '--with-Qt-dir=/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4' '--with-Qt-lib=QtGui' '--prefix=/usr/gapps/visit/thirdparty_shared_2_7_0/silo/4.9.1-pre1/linux-x86_64_gcc-4.4' '--enable-install-lite-headers'
CONFIG_DATE = Tue Mar 19 10:33:26 PDT 2013
CONFIG_USER = miller86@edge83
CPP = gcc -E
CPPFLAGS = -I/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g
CXX_FULLPATH = /usr/local/bin/g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FC = gfortran
FCFLAGS = -g
FCLIBS =  -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../.. -lgfortranbegin -lgfortran -lm
FC_FULLPATH = /usr/local/bin/gfortran
FFLAGS = -g -O2
FGREP = /bin/grep -F
FORTRAN = fortran
FPZIP = fpzip
GREP = /bin/grep
HDF5_DRV = hdf5_drv
HZIP = hzip
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/local/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/gapps/visit/thirdparty_shared_2_7_0/hdf5/1.8.7/linux-x86_64_gcc-4.4/lib -L/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4/lib  -L/usr/gapps/visit/thirdparty_shared_2_7_0/szip/2.1/linux-x86_64_gcc-4.4/lib
LIBM = -lm
LIBOBJS = 
LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NETCDF = netcdf
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = silo
PACKAGE_BUGREPORT = visit-users@email.ornl.gov
PACKAGE_NAME = silo
PACKAGE_STRING = silo 4.9.1
PACKAGE_TARNAME = silo
PACKAGE_VERSION = 4.9.1
PATH_SEPARATOR = :
PDBP_DRV = 
PDB_DRV = pdb_drv
PYTHON = /usr/local/bin/python
PYTHONMODULE = python
PYTHON_CPPFLAGS = -I/usr/apps/python/include/python2.6
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
QT_CXXFLAGS = -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/Qt -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtCore -I/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/include/QtGui
QT_DIR = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4
QT_LIBS = -L/usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/lib -lQtGui  -lSM -lICE  -lX11 -lXext -lXmu -lXt -lXi 
QT_LRELEASE = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lrelease
QT_LUPDATE = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/lupdate
QT_MOC = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/moc
QT_UIC = /usr/gapps/visit/thirdparty_shared_2_7_0/qt/4.8.3/linux-x86_64_gcc-4.4/bin/uic
RANLIB = ranlib
READLINE_LIBS = -lreadline 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SILEX = silex
SILO_DTYPPTR = void
SILO_DTYPPTR1 = void*
SILO_DTYPPTR2 = void*
SILO_VERS_MAJ = 4
SILO_VERS_MIN = 9
SILO_VERS_PAT = 1
SILO_VERS_PRE = 
SILO_VERS_TAG = Silo_version_4_9_1
STRIP = strip
TAURUS = taurus
VERSION = 4.9.1
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
ZLIB = zlib
abs_builddir = /g/g11/miller86/silo/silo_4.9RC/SiloWindows
abs_srcdir = /g/g11/miller86/silo/silo_4.9RC/SiloWindows
abs_top_builddir = /g/g11/miller86/silo/silo_4.9RC
abs_top_srcdir = /g/g11/miller86/silo/silo_4.9RC
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
ac_ct_F77 = 
ac_ct_FC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /g/g11/miller86/silo/silo_4.9RC/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/silo
pkgpythondir = ${pythondir}/silo
prefix = /usr/gapps/visit/thirdparty_shared_2_7_0/silo/4.9.1-pre1/linux-x86_64_gcc-4.4
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
./MSVC9/Tests/alltypes.vcproj\
./MSVC9/Tests/arbpoly.vcproj\
./MSVC9/Tests/arbpoly3d.vcproj\
./MSVC9/Tests/array.vcproj\
./MSVC9/Tests/array_f.vfproj\
./MSVC9/Tests/compression.vcproj\
./MSVC9/Tests/csg.vcproj\
./MSVC9/Tests/curve_f.vfproj\
./MSVC9/Tests/dirtest.vcproj\
./MSVC9/Tests/empty.vcproj\
./MSVC9/Tests/extface.vcproj\
./MSVC9/Tests/grab.vcproj\
./MSVC9/Tests/group_test.vcproj\
