=== debian/changelog ===
silo-llnl (4.10.2-6) unstable; urgency=medium

  * Experimental python3 interface
  * Standards-Version: 3.9.8. No changes required
  * Ack. that homepage URL updated. Closes: #769182.
  * Depend on qtbase5-dev, qtchooser not qt5-default-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Aug 2016 13:33:30 +0100

silo-llnl (4.10.2-5) unstable; urgency=medium

  * Add qt5-defaults to ensure build under Qt5.
  * Ack. FTBFS fixed in -4 upload. Closes: #797414. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2015 13:27:13 +0100

silo-llnl (4.10.2-4) unstable; urgency=medium

  * Build silex.  
  * Regression: put tools back in /usr/bin not /bin.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2015 16:05:46 +0100

silo-llnl (4.10.2-3) unstable; urgency=medium

  * Fix reported version number. 4.9.1 -> 4.10.2
  * Install tools properly rather than copy from install script.
    Closes: #797414.
  * Move QtGui, QtWidgets to QT_LIBS for saner linking.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Sep 2015 23:20:17 +0100

silo-llnl (4.10.2-2) experimental; urgency=medium

  * Build against hdf5-1.8.15 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Aug 2015 01:17:15 +0100

silo-llnl (4.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6.
  * New homepage: Closes: #769182.
  * Add DBGetObjtypeTag to silo.ver version script. Closes: #772912.
  * Add --enable-install-lite-headers for PDB-lite headers
  * Add Vcs-Git pointing to anonscm.debian.org/debian-science

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jun 2015 20:36:04 +0100
