=== debian/changelog ===
silo-llnl (4.10.2.real-9) unstable; urgency=medium

  * Use fpzip on 64-bit archs only for now

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jan 2021 16:49:03 +0000

silo-llnl (4.10.2.real-8) unstable; urgency=medium

  * Enable fpzip compression
  * Standards-Version: 4.5.1
  * Change branches to DEP-14. Point vcs-git to debian/latest branch
  * Add g/gbp.conf file
  * dh_python dep -> dh_sequence_python3
  * Drop --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Jan 2021 09:33:53 +0000

silo-llnl (4.10.2.real-7) unstable; urgency=medium

  * Fix for FTBFS with python3.8. Closes: #942679
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Oct 2019 15:23:27 +0100

silo-llnl (4.10.2.real-6) unstable; urgency=medium

  * Drop python2 for bullseye.
  * Drop obsolete references to qt3.
  * Standards-Version: 4.4.0
  * B-D on gfortran | fortran-compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 12:57:37 +0100

silo-llnl (4.10.2.real-5) unstable; urgency=medium

  * Export missing header files (silo_exports.h, etc)
  * Standards-Version: 4.2.1. No changes required
  * Drop hard-wired 'xz' compression for debian tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Oct 2018 16:43:56 +0100

silo-llnl (4.10.2.real-4) unstable; urgency=medium

  * Drop obsolete "X-Python-Versions > 2.6"
  * Rebuild against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 09:42:14 +0100

silo-llnl (4.10.2.real-3) unstable; urgency=medium

  * Mark python-silo as M-A: same
  * Standards-Version: 4.1.4
  * Rebuild against libopenmpi3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 09:04:05 +0100

silo-llnl (4.10.2.real-2) unstable; urgency=medium

  * Add build-dependency on dh-python

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Mar 2018 09:38:50 +0100

silo-llnl (4.10.2.real-1) unstable; urgency=medium

  * Rebuild out of correct upstream release, and bump epoch;
    (previous 4.10.2 was incorrectly merged). Closes: #890496
  * Delete merged /obsolete patches:
    - compile-fixes.patch 
    - dist-undo.patch 
    - sh4-build.patch 
    - testsuite-skip-szip.patch 
    - version-number.patch
  * Standards-Version: 4.1.3
  * Move VCS to salsa.debian.org/
  * Drop obsolete autoreconf from rules

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 11:24:50 +0000

silo-llnl (4.10.2-8) unstable; urgency=medium

  * B-D on libhdf5-mpi-dev, not -openmpi-dev.
  * Standards- Version: 4.1.2; no changes required
  * Build on serial HDF5

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Dec 2017 14:05:48 +0000

silo-llnl (4.10.2-7) unstable; urgency=medium

  * Use debhelper 10.
  * Remove obsolete qt-version.patch
  * Re-enable szip test, now libhdf5 built against libaec
  * Standards-Version: 4.1.1; no changes required
  * Drop dependencies on auto*. not needed with DH_COMPAT=10
  * Enable --with-szlib, add B-D on libaec-dev
  * Set python3-silo as M-A: same
  * Set CONFIG_SHELL=/bin/sh in rules for reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Oct 2017 19:28:42 +0100
