=== debian/control ===
--- 
+++ 
@@ -2,18 +2,25 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, libhdf5-openmpi-dev | libhdf5-dev, 
+Build-Depends: debhelper-compat (= 13), 
+  dh-sequence-python3,
+  libreadline-dev, 
+  libhdf5-mpi-dev | libhdf5-dev, 
   zlib1g-dev, 
-  python-all-dev, python3-all-dev, 
-  gfortran, chrpath, mpi-default-dev, autoconf-archive, autoconf, automake, libtool, 
-  dh-autoreconf (>= 4~),
-  qtbase5-dev, qtchooser
-Build-Conflicts: qt3-dev-tools, qt4-dev-tools
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
+  libaec-dev,
+  libfpzip-dev [ !i386 !armel !armhf !mipsel  !hurd-i386 !hppa !powerpc !kfreebsd-i386 !x32],
+  python3-all-dev, 
+  gfortran | fortran-compiler, 
+  chrpath, 
+  mpi-default-dev, 
+  autoconf-archive, 
+  qtbase5-dev, 
+  qtchooser
+Build-Conflicts: qt4-dev-tools
+Standards-Version: 4.5.1
 Homepage:  https://wci.llnl.gov/simulation/computer-codes/silo/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/silo-llnl.git
+Vcs-Browser: https://salsa.debian.org:/science-team/silo-llnl.git
+Vcs-Git: https://salsa.debian.org:/science-team/silo-llnl.git -b  debian/latest
 
 Package: libsilo-dev
 Section: libdevel
@@ -86,29 +93,10 @@
  needs. Although the Silo library is a serial library, it has some key features
  which enable it to be applied quite effectively and scalable in parallel.
 
-Package: python-silo
-Section: python
-Architecture: any
-X-Python-Version: all
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
-Provides: ${python:Provides}
-Description: Python interface to the SILO Scientific I/O library
- This is a Python interface to SILO, a scientific I/O library.
- .
- Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
- and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
- constructive solid geometry (CSG) meshes, piecewise-constant
- (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
- defined on the node, edge, face or volume elements of meshes as well as
- the decomposition of meshes into arbitrary subset hierarchies including
- materials and mixing materials. In addition, Silo supports a wide variety of
- other useful objects to address various scientific computing application
- needs. Although the Silo library is a serial library, it has some key features
- which enable it to be applied quite effectively and scalable in parallel.
-
 Package: python3-silo
 Section: python
 Architecture: any
+Multi-Arch: same
 X-Python-Version: all
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
 Provides: ${python3:Provides}
